%define oname pyliblzma
%define module lzma

Summary:	Python bindings for the LZMA compression library
Name:		python-%{module}
Version:	0.5.3
Release:	%mkrel 1
License:	LGPLv3+
Group:		Development/Python
Url:		https://launchpad.net/pyliblzma
Source0:	http://pypi.python.org/packages/source/p/pyliblzma/%{oname}-%{version}.tar.xz
BuildRequires:	lzma-devel
BuildRequires:	python-devel
BuildRequires:  python-setuptools
Provides:	%{oname}
Obsoletes:	%{oname}

%description
Python bindings for the LZMA compression library.

%prep
%setup -qn %{oname}-%{version}

%build
env CFLAGS="%{optflags}" python setup.py build

%install
rm -rf %{buildroot}

python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%files
%doc README NEWS COPYING ChangeLog
%{python_sitearch}/*.py*
%{python_sitearch}/pyliblzma*.egg-info
%{python_sitearch}/lzma.so



%changelog
* Tue Aug 13 2013 billybot <billybot> 0.5.3-1pclos2013
- update
